<?php

namespace Litecms\BusCategory\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind BusCategory workflow validator
        'Litecms\BusCategory\Models\BusCategory' => \Litecms\BusCategory\Workflow\BusCategoryValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind BusCategory workflow actions
        'Litecms\BusCategory\Models\BusCategory' => \Litecms\BusCategory\Workflow\BusCategoryAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind BusCategory workflow notifiers
        'Litecms\BusCategory\Models\BusCategory' => \Litecms\BusCategory\Workflow\BusCategoryNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
