<?php

namespace Litecms\BusCategory\Workflow;

use Litecms\BusCategory\Models\BusCategory;
use Litecms\BusCategory\Notifications\BusCategoryWorkflow as BusCategoryNotifyer;
use Notification;

class BusCategoryNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param BusCategory $bus_category
     *
     * @return void
     */
    public function complete(BusCategory $bus_category)
    {
        return Notification::send($bus_category->user, new BusCategoryNotifyer($bus_category, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param BusCategory $bus_category
     *
     * @return void
     */
    public function verify(BusCategory $bus_category)
    {
        return Notification::send($bus_category->user, new BusCategoryNotifyer($bus_category, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param BusCategory $bus_category
     *
     * @return void
     */
    public function approve(BusCategory $bus_category)
    {
        return Notification::send($bus_category->user, new BusCategoryNotifyer($bus_category, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param BusCategory $bus_category
     *
     * @return void
     */
    public function publish(BusCategory $bus_category)
    {
        return Notification::send($bus_category->user, new BusCategoryNotifyer($bus_category, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param BusCategory $bus_category
     *
     * @return void
     */
    public function archive(BusCategory $bus_category)
    {
        return Notification::send($bus_category->user, new BusCategoryNotifyer($bus_category, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param BusCategory $bus_category
     *
     * @return void
     */
    public function unpublish(BusCategory $bus_category)
    {
        return Notification::send($bus_category->user, new BusCategoryNotifyer($bus_category, 'unpublish'));;

    }
}
